Loading...
Searching...
No Matches

decode_value
encode_value
get_config
help_text
HOME
init
initialized
is_game
is_system
load_config
lock
module_get_config
module_info
module_init
module_option
option
parse_args
pname
read_cache
read_config
read_data
read_runtime
read_spool
remove_cache
remove_config
remove_data
remove_runtime
remove_spool
remove_temp
save_config
unlock
version_text
write_cache
write_config
write_data
write_log
write_runtime
write_spool
write_temp
XDG_CACHE_HOME
XDG_CONFIG_DIRS
XDG_CONFIG_HOME
XDG_DATA_DIRS
XDG_DATA_HOME
XDG_RUNTIME_DIR

## read_runtime()

fhs.read_runtime | ( |  | name = None,
|  |  | text = True,
|  |  | dir = False,
|  |  | opened = True,
|  |  | packagename = None )

Open a runtime file for reading.

Parameters

  name | Filename to open. Defaults to the program name.
  text | If True (the default), open the file in text mode. This parameter is ignored if the file is not opened.
  dir | If True, find a directory instead of a file. Defaults to False.
  opened | If True (the default), return the open file. For directories, this is ignored.
  packagename | Override the packagename.

Returns
  The opened file, or the file or directory name.

Definition at line 826 of file fhs.py.

Here is the caller graph for this function: